QuantLib: AnalyticPTDHestonEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AnalyticPTDHestonEngine Class Reference
Pricing engines » Vanilla option engines

analytic piecewise constant time dependent Heston-model engine More...

`#include <ql/pricingengines/vanilla/analyticptdhestonengine.hpp>`

Inheritance diagram for AnalyticPTDHestonEngine:
[legend]

## Public Member Functions
| AnalyticPTDHestonEngine (const boost::shared_ptr< PiecewiseTimeDependentHestonModel > &model, Real relTolerance, Size maxEvaluations)
| AnalyticPTDHestonEngine (const boost::shared_ptr< PiecewiseTimeDependentHestonModel > &model, Size integrationOrder=144)
void | calculate () const
Public Member Functions inherited from GenericModelEngine< PiecewiseTimeDependentHestonModel, VanillaOption::arguments, VanillaOption::results >
| GenericModelEngine (const Handle< PiecewiseTimeDependentHestonModel > &model=Handle< PiecewiseTimeDependentHestonModel >())
| GenericModelEngine (const boost::shared_ptr< PiecewiseTimeDependentHestonModel > &model)
Public Member Functions inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members
Protected Attributes inherited from GenericModelEngine< PiecewiseTimeDependentHestonModel, VanillaOption::arguments, VanillaOption::results >
Handle< PiecewiseTimeDependentHestonModel > | model_
Protected Attributes inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
VanillaOption::arguments | arguments_
VanillaOption::results | results_

## Detailed Description

analytic piecewise constant time dependent Heston-model engine

References:

Heston, Steven L., 1993. A Closed-Form Solution for Options with Stochastic Volatility with Applications to Bond and Currency Options. The review of Financial Studies, Volume 6, Issue 2, 327-343.

J. Gatheral, The Volatility Surface: A Practitioner's Guide, Wiley Finance

A. Elices, Models with time-dependent parameters using transform methods: application to Heston’s model, http://arxiv.org/pdf/0708.2020